#include "termistor.h"
#include <Arduino.h>

int termistor_PIN = 1;
int ref_odpor_termistoru = 10000;
int teplota_ref = 25;
int faktor = 3470;
int rezistor = 6800;



void print_C(){
float napeti;
napeti = analogRead(termistor_PIN);

napeti = 1023 / napeti - 1;
napeti = rezistor / napeti;

float tep;
tep = napeti / ref_odpor_termistoru;
tep = log(tep);
tep /= faktor;
tep += 1 / (teplota_ref + 273.15);
tep = 1 / tep;
tep -= 275.15;

Serial.print("Naměřil jsem: ");
Serial.print(tep);
Serial.println(" *C");

delay(1000);
}

void print_F(){
  float napeti;
napeti = analogRead(termistor_PIN);
napeti = 1023 / napeti - 1;
napeti = rezistor / napeti;

float tep;
tep = napeti / ref_odpor_termistoru;
tep = log(tep);
tep /= faktor;
tep += 1.0 / (teplota_ref + 273.15);
tep = 1.0 / tep;
tep -= 275.15;
tep = 9 * tep;
tep = tep / 5;
tep = tep + 1;

Serial.print("Naměřil jsem: ");
Serial.print(tep);
Serial.println(" *F");

delay(1000);
}

